package platform

type Platform string

const (
	Mezzanine Platform = "mezzanine"
	Tmall2b   Platform = "tmall2b"
	Taobao    Platform = "taobao"
	Poizon2b  Platform = "poizon2b"
	OldPoizon Platform = "oldpoizon"
	Jd        Platform = "jingdong"
	Im2b      Platform = "im2b"
	Tmall2c   Platform = "tmall"
	B2B       Platform = "b2b"
	Open      Platform = "open"
)

func (p Platform) GetName() string {
	switch p {
	case Mezzanine:
		return "迷衣"
	case Tmall2b:
		return "天猫ToB"
	case Taobao:
		return "淘宝"
	case Poizon2b:
		return "得物"
	case OldPoizon:
		return "旧得物"
	case Jd:
		return "京东"
	case Im2b:
		return "ImToB"
	case Tmall2c:
		return "天猫"
	case B2B:
		return "B2B"
	case Open:
		return "开放平台"
	}
	return string(p)
}

func GetAllPlatforms() []Platform {
	return []Platform{
		Mezzanine,
		Tmall2b,
		Taobao,
		Poizon2b,
		Jd,
		Im2b,
		Tmall2c,
		B2B,
		Open,
		OldPoizon,
	}
}

func IsPlatform(s string) bool {
	for _, p := range GetAllPlatforms() {
		if string(p) == s {
			return true
		}
	}
	return false
}
