package store

type Store string

const (
	MezzanineApp     Store = "mezzanine_app"
	MezzanineMiniApp Store = "mezzanine_mini_app"
	Tmall2bHK        Store = "tmall2b_hk"
	Tmall2bUS        Store = "tmall2b_us"
	Tmall2bEUR       Store = "tmall2b_eur"

	Poizon2bStore1 Store = "mezzanine1"
	Poizon2bStore2 Store = "mezzanine2"

	JDStore2015     Store = "150558"
	JDStore2017     Store = "208456"
	JDStoreGongxiao Store = "208456gx"
	JDStore2019     Store = "754589"
	JDStore2024     Store = "13888912"

	Im2b Store = "im2b"

	Tmall2cStore1 Store = "mezzanine"
	B2bStore1     Store = "alfamoda"
	B2bStore2     Store = "alfa_mp"

	TbStore1 Store = "taobao_store1"
	TbStore2 Store = "taobao_store2"
	TbStore3 Store = "taobao_store3"
	TbStore4 Store = "taobao_store4"
	TbStore5 Store = "taobao_store5"
	TbStore6 Store = "taobao_store6"
	TbStore7 Store = "taobao_store7"
	TbStore8 Store = "taobao_store8"
	TbStore9 Store = "taobao_store9"

	OpenStore1 Store = "open_store1"

	OldPoizon1 Store = "oldpoizon1"
	OldPoizon2 Store = "oldpoizon2"
)

func GetAllStores() []Store {
	return []Store{
		MezzanineApp,
		Tmall2bHK,
		Tmall2bUS,
		Tmall2bEUR,
		Poizon2bStore1,
		Poizon2bStore2,
		Im2b,
		Tmall2cStore1,
		JDStore2015,
		JDStore2017,
		JDStoreGongxiao,
		JDStore2019,
		JDStore2024,
		B2bStore1,
		B2bStore2,
		TbStore1,
		TbStore2,
		TbStore3,
		TbStore4,
		TbStore5,
		TbStore6,
		TbStore7,
		TbStore8,
		TbStore9,
		OpenStore1,
		OldPoizon1,
		OldPoizon2,
	}
}

func (store Store) GetStoreName() string {
	switch store {
	case MezzanineApp:
		return "迷衣App"
	case MezzanineMiniApp:
		return "迷衣小程序"
	case Tmall2bHK:
		return "天猫ToB HK"
	case Tmall2bUS:
		return "天猫ToB US"
	case Tmall2bEUR:
		return "天猫ToB EUR"
	case Poizon2bStore1:
		return "得物一店"
	case Poizon2bStore2:
		return "得物二店"
	case Im2b:
		return "ImToB"
	case JDStore2015:
		return "XIYANGHUI2015"
	case JDStore2017:
		return "XIYANGHUI2017"
	case JDStoreGongxiao:
		return "京东供销"
	case JDStore2019:
		return "XIYANGHUI2019"
	case Tmall2cStore1:
		return "迷衣时尚海外旗舰店"
	case TbStore1:
		return "huzhijie1991"
	case TbStore2:
		return "足尚潮鞋店"
	case TbStore3:
		return "冰蕙儿"
	case TbStore4:
		return "mezzanine"
	case TbStore5:
		return "西洋汇"
	case TbStore6:
		return "huangjiawei44"
	case TbStore7:
		return "soulsoulsu"
	case TbStore8:
		return "ys狼牙俱乐部"
	case TbStore9:
		return "旧店铺"
	case B2bStore1:
		return "ALFAMODA"
	case B2bStore2:
		return "ALFA-MP"
	case OpenStore1:
		return "开放平台"
	case OldPoizon1:
		return "旧得物一店"
	case OldPoizon2:
		return "旧得物二店"
	}
	return string(store)
}

//func GetPlatformStores(platform Platform) []Store {
//	switch platform {
//	case PlatformMezzanine:
//		return []Store{StoreMezzanineApp}
//	case PlatformTmall2b:
//		return []Store{StoreTmall2bHK, StoreTmall2bUS, StoreTmall2bEUR}
//	case PlatformPoizon2b:
//		return []Store{StorePoizon2bStore1, StorePoizon2bStore2}
//	case PlatformIm2b:
//		return []Store{StoreIm2b}
//	case PlatformJd:
//		return []Store{StoreJDStore2015, StoreJDStore2017, StoreJDStoreGongxiao, StoreJDStore2019, StoreJDStore2024}
//	case PlatformTmall2c:
//		return []Store{StoreTmall2cStore1}
//	case PlatformB2B:
//		return []Store{StoreB2bStore1, StoreB2bStore2}
//	case PlatformTaobao:
//		return []Store{StoreTbStore1, StoreTbStore2, StoreTbStore3, StoreTbStore4, StoreTbStore5,
//			StoreTbStore6, StoreTbStore7, StoreTbStore8, StoreTbStore9}
//	case PlatformOpen:
//		return []Store{StoreOpenStore1}
//	case PlatformOldPoizon:
//		return []Store{StoreOldPoizon1, StoreOldPoizon2}
//	}
//	return nil
//}
